<template>
  <div class="relative mt-10 mb-11">
    <ul class="relative flex justify-between">
      <template v-for="(banner, index) of banners" :key="banner">
        <li v-if="index < 3">
          <nuxt-link
            :to="
              !authenticated && banner.HyperLink === ''
                ? '/login'
                : banner.HyperLink
            "
          >
            <div
              class="cursor-pointer relative w-[380px] h-[140px] mt-[18px] text-center flex justify-start rounded-xl transition duration-300 sponsor__item sponsor-banner-item"
            >
              <img
                class="absolute top-[-16px] right-0 w-[240px]"
                :src="bannerContent(index) && bannerContent(index).ImagePath"
                loading="lazy"
              />
              <img
                class="absolute top-[16px] left-[20px] w-[60px] h-auto"
                :src="banner.ImagePath"
                loading="lazy"
              />
              <div
                class="h-[46px] text-lg absolute left-[20px] top-[74px] text-left"
              >
                <p
                  class="mb-0 text-banner"
                  v-html="bannerContent(index) && bannerContent(index).Text"
                ></p>
              </div>
            </div>
          </nuxt-link>
        </li>
      </template>
    </ul>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import { ThemePropertiesFromApiDto } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "SponsorBanner",
  setup() {
    const authenticated = computed(() => store.state.auth);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const banners = computed(
      (): Array<ThemePropertiesFromApiDto> =>
        themePropertyHelper.getMultipleThemesProperties(
          themeProperties.value,
          "index_blog_1_"
        )
    );
    const bannerContent = (index: number) =>
      themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        `index_blog_content_1_${index + 1}`
      );
    const sponsorBannerBg = "";
    return {
      banners,
      authenticated,
      bannerContent,
      sponsorBannerBg,
    };
  },
});
</script>
<style scoped lang="scss">
.sponsor__item {
  box-shadow: 0 20px 30px -10px #cdd2dd;
}
.sponsor__item:hover {
  transform: scale(1.05) translateZ(0);
}
.sponsor-banner-item {
  background: v-bind("sponsorBannerBg") no-repeat center center;
  background-size: contain;
}
.text-banner {
  font-size: inherit;
}
</style>
